Create Agent
This endpoint allows the creation of a new agent that can be utilized in the POST /agents/{id}/v1/message:send endpoint.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.
"base"
Query Parameters
If set to true, the agent will be created as ephemeral, it won't be listed in the agents_list but can still be fetched by ID. Ephemeral agents will be deleted periodically.
Body
The name of the agent.
A brief description of the agent's capabilities.
Optional type of agent.
expert, orchestrator, interviewing-expert The system prompt that defines the overall agents behavior and expectations. This field is optional as there is a default system orchestrator.
- Option 1
- Option 2
A list of MCP servers that the agent can call. If omitted, the agent can't call any MCP servers.
Response
Agent created successfully.
The unique identifier of the agent.
The name of the agent.
A brief description of the agent's capabilities.
The system prompt that defines the overall agents behavior and expectations.
- Option 1
- Option 2
A list of MCP servers that the agent can call. If omitted, the agent can't call any MCP servers.